BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/pin
postTeam ChatAdmin BFF

/bff/team-chat/pin

Any participant. Pinning posts a "pinned a message" system event; at most 20 pins per room.

Team chatpostBffTeam-chatPin

Parameters

JSON body

Request body

application/json
roomIdstringRequired

24-char room id.

Length: 24–24
messageIdstringRequired

24-char message id.

Length: 24–24
pinnedbooleanRequired

Response schema

1 status code documented

200Success
pinnedbooleanRequired

Response example

application/json
{
  "pinned": false
}

Request example

POST /bff/team-chat/pin

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/pin" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "roomId": "example_roomId",
  "messageId": "example_messageId",
  "pinned": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key